Resend Activation Link - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Resend Activation Link

Request

POST /v1/users/{userId}/resend-activation-link

cURL Code

curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/users/{userId}/resend-activation-link \
  --header 'Authorization: Bearer <token>'

Python Code

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/users/{userId}/resend-activation-link"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)

JavaScript Code

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/users/{userId}/resend-activation-link', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Code




Response

200 - application/json

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "enabled": true,
  "validated": true,
  "serviceAccount": true,
  "recentLogins": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "ipAddress": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId string required

Rate Limit

This endpoint is subject to a maximum limit of 100 requests per hour. Once the limit is exceeded, the response header X-User-Hour-Limit-Remaining will indicate the number of seconds until the rate limit resets.

Permissions